description

# PresentationRequest class Null safety

Inheritance
  - Object
  - EventTarget
  - PresentationRequest
Annotations
  - @Native("PresentationRequest")

## Constructors

PresentationRequest(dynamic url_OR_urls)
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
getAvailability() → Future<PresentationAvailability>
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
reconnect(String id) → Future<PresentationConnection>
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
start() → Future<PresentationConnection>
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited